/*

    umesh2dgui, a GUI for umesh2d grid generator

    Copyright (C) 2010 Gabriele Dini Ciacci <dark.schneider@iol.it>
    Based on a code from Luigi Quartapelle and Massimo Biava

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Created on January 14, 2010, 12:30 PM
 */


#include "u2d_GaussPoints.h"

/* DOMAIN GAUSS POINTS */
u2d_DomainGaussPoints::u2d_DomainGaussPoints(int _domain_size) :
domain_size(_domain_size),
dw_x(DOMAIN_ELEMENT_SIZE, _domain_size),
dw_y(DOMAIN_ELEMENT_SIZE, _domain_size),
jacobian_weight(_domain_size) {
}

u2d_DomainGaussPoints::u2d_DomainGaussPoints(const u2d_DomainGaussPoints& orig) {
}

u2d_DomainGaussPoints::~u2d_DomainGaussPoints() {
}

/* BOUNDARY GAUSS POINTS */
u2d_BoundaryGaussPoints::u2d_BoundaryGaussPoints(int _boundary_size) :
boundary_size(_boundary_size),
norm_x(_boundary_size),
norm_y(_boundary_size),
dw_x(BOUNDARY_ELEMENT_SIZE, _boundary_size),
dwp_x(BOUNDARY_ELEMENT_SIZE, _boundary_size),
jacobian_weight(_boundary_size) {
}

u2d_BoundaryGaussPoints::u2d_BoundaryGaussPoints(const u2d_BoundaryGaussPoints& orig) {
}

u2d_BoundaryGaussPoints::~u2d_BoundaryGaussPoints() {
}
